cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
balister
Adventurer
Adventurer
3,241 Views
Registered: ‎05-07-2012

How do you get the toolchain installed in SDK (for Zynq)

How do you get the toolchain installed to build the fsbl for Zynq?

 

I've been going round in circles for a couple fo days. Installing ISE and/or SDK gives a box to select the toolchain, but there is no sign it is actually installed.

 

So I downloaded the toolchain from the xilinx  website, but this toolchain is prefixed with:

 

arm-xilinx-linux-gnueabi-

 

and arm-xlinx-eabi- is hard coded in some makefiles. (I found that out trying to use my own toolchain)

 

I can hack SDK again to make it work with what appears to be an "official" toolchain, but I would like to do this without any hackery at all.

 

Surely I am missing something trivial.

 

Philip

0 Kudos
1 Reply
balister
Adventurer
Adventurer
3,231 Views
Registered: ‎05-07-2012

And the answer is:

 

1) If you install ISE on a 64 bit Linux distro, the Sourcery installer fails (very possibly silently)

2) The fix is install the 32 bit glibc before installing ISE.

 

Philip

0 Kudos